Bug 141525 - Insert "Line with Arrow/Circle" will show "Line Starts with Arrow"
Summary: Insert "Line with Arrow/Circle" will show "Line Starts with Arrow"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0 all versions
Hardware: All All
: medium normal
Assignee: Po-Yen Huang
URL:
Whiteboard: target:7.2.0 target:7.1.4 target:7.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-04-07 05:53 UTC by Po-Yen Huang
Modified: 2021-05-11 03:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Yen Huang 2021-04-07 05:53:33 UTC
Description:
In Writer (and only on Writer), if you insert "Line with Arrow/Circle" from "Line ana Arrows" menu, it will insert "Line Starts with Arrow" instead of correct "Line with Arrow/Circle".

Steps to Reproduce:
1. Open "Lines and Arrows" menu
2. Select "Line with Arrow/Circle" and insert it
3. Insert it into document

Actual Results:
It shows "Line Starts with Arrow"

Expected Results:
Insert correct "Line with Arrow/Circle"


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.2.2 / LibreOffice Community
Build ID: 10(Build:2)
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: kf5
Locale: zh-TW (zh_TW.UTF-8); UI: zh-TW
7.1.2-2
Calc: CL

I can also reproduce this issue on 6.3.6
Comment 1 Po-Yen Huang 2021-04-07 05:55:39 UTC
I found a patch for this issue, should I upload it here or just use gerrit?
Comment 2 Commit Notification 2021-04-16 13:20:06 UTC
Jeff Huang committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2b498e380a91a536d177376e854cf3a6e2fb0b35

tdf#141525 Fix "Line with Arrow/Circle" insertion error.

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2021-04-16 13:42:20 UTC
A bit late but this is a regression from https://cgit.freedesktop.org/libreoffice/core/commit/?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
Bisected with bibisect-linux64-6.0
Comment 4 Po-Yen Huang 2021-04-19 02:40:39 UTC
(In reply to Xisco Faulí from comment #3)
> A bit late but this is a regression from
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> Bisected with bibisect-linux64-6.0

wow... 6.0? It's a little old.
Comment 5 Commit Notification 2021-04-19 07:11:41 UTC
Jeff Huang committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/4ee3d213e8d3c4afdc3714b50def117dfe5c8023

tdf#141525 Fix "Line with Arrow/Circle" insertion error.

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Po-Yen Huang 2021-04-19 07:20:35 UTC
(In reply to Xisco Faulí from comment #3)
> A bit late but this is a regression from
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> Bisected with bibisect-linux64-6.0

Will it backport to 7.0 branch?
Comment 7 Xisco Faulí 2021-04-19 19:12:32 UTC
(In reply to Po-Yen Huang from comment #6)
> (In reply to Xisco Faulí from comment #3)
> > A bit late but this is a regression from
> > https://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> > Bisected with bibisect-linux64-6.0
> 
> Will it backport to 7.0 branch?

it can be done, yes, but (In reply to Po-Yen Huang from comment #6)
> (In reply to Xisco Faulí from comment #3)
> > A bit late but this is a regression from
> > https://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> > Bisected with bibisect-linux64-6.0
> 
> Will it backport to 7.0 branch?

Done: https://gerrit.libreoffice.org/c/core/+/114275
Should this issue be closed as RESOLVED FIXED ?
Comment 8 Po-Yen Huang 2021-04-20 01:30:34 UTC
(In reply to Xisco Faulí from comment #7)
> (In reply to Po-Yen Huang from comment #6)
> > (In reply to Xisco Faulí from comment #3)
> > > A bit late but this is a regression from
> > > https://cgit.freedesktop.org/libreoffice/core/commit/
> > > ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> > > Bisected with bibisect-linux64-6.0
> > 
> > Will it backport to 7.0 branch?
> 
> it can be done, yes, but (In reply to Po-Yen Huang from comment #6)
> > (In reply to Xisco Faulí from comment #3)
> > > A bit late but this is a regression from
> > > https://cgit.freedesktop.org/libreoffice/core/commit/
> > > ?id=a60ffa6985dec32cc73032a7774f58694a6ee9a7
> > > Bisected with bibisect-linux64-6.0
> > 
> > Will it backport to 7.0 branch?
> 
> Done: https://gerrit.libreoffice.org/c/core/+/114275
> Should this issue be closed as RESOLVED FIXED ?

7.0 branch build failed, is it correct?
Comment 9 Commit Notification 2021-04-20 08:43:23 UTC
Jeff Huang committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/925ed355f096c0b005cfddbbe4c78400472de5bc

tdf#141525 Fix "Line with Arrow/Circle" insertion error.

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2021-05-10 15:59:13 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Jeff Huang, thanks for fixing this issue!!
Comment 11 Po-Yen Huang 2021-05-11 03:45:46 UTC
(In reply to Xisco Faulí from comment #10)
> Verified in
> 
> Version: 7.2.0.0.alpha0+ / LibreOffice Community
> Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
> CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
> Locale: en-US (en_US.UTF-8); UI: en-US
> Calc: threaded
> 
> @Jeff Huang, thanks for fixing this issue!!

Wonderful!